%define modulename cherrypy

Name: python-module-%modulename
Version: 3.1.2
Release: alt1

%setup_python_module %modulename

Summary: CherryPy is a pythonic, object-oriented web development framework
License: BSD
Group: Development/Python

URL: http://www.cherrypy.org
Packager: Vladimir V. Kamarzin <vvk@altlinux.org>
BuildArch: noarch

# Current upgrade rule:
# $ git svn init -s http://svn.cherrypy.org/
# $ git svn fetch [ -r LAST-SVN-ID:HEAD]
# $ git merge tags/cherrypy-3.1.1 (for current version)
# $ git merge tags/cherrypy-3.1.2 (for next version)
Source: http://download.cherrypy.org/cherrypy/%version/%name-%version.tar

Conflicts: python-module-cherrypy2 >= 2.3.0-alt1

BuildPreReq: %py_dependencies setuptools

%add_python_req_skip win32api
%add_python_req_skip win32con
%add_python_req_skip win32event
%add_python_req_skip win32service
%add_python_req_skip win32serviceutil

%description
Your CherryPy powered web applications are in fact stand-alone Python
applications embedding their own multi-threaded web server. You can deploy
them anywhere you can run Python applications. Apache is not required,
but it's possible to run a CherryPy application behind it.

%prep
%setup

%build
%python_build

%install
%python_install

%files
%doc cherrypy/tutorial
%_bindir/cherryd
%python_sitelibdir/%modulename/
%python_sitelibdir/*.egg-info

%changelog
* Wed Oct 06 2010 Vitaly Lipatov <lav@altlinux.ru> 3.1.2-alt1
- update to svn tag 3.1.2
- pack cherryd script

* Thu Nov 19 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 3.1.1-alt2
- Rebuilt with python 2.6

* Mon Apr 06 2009 Vladimir V. Kamarzin <vvk@altlinux.org> 3.1.1-alt1
- 3.1.1 (Closes: #15276)
- Add conflict with python-module-cherrypy2

* Sat Apr 04 2009 Vladimir V. Kamarzin <vvk@altlinux.org> 2.3.0-alt1
- 2.3.0

* Thu Jan 24 2008 Grigory Batalov <bga@altlinux.ru> 2.1.0-alt1.1
- Rebuilt with python-2.5.

* Sun Oct 30 2005 Maxim Bodyansky <maximbo@altlinux.ru> 2.1.0-alt1
- Initial build for Sisyphus
